#include <iostream>
using namespace std;
int main(){
	long long unsigned n,m,k;
	cin>>n>>m;
	if(m==1 && n==1){
		k=1;
	}
	else if(m==1 && n>1){
		k=n;
	}
	else if(m>1 && n==1){
		k=m;
	}
	else{
		k=2*n+2*(m-2);
		n-=2;
		m-=2;
		k+=(m*n)/2;
	}
	cout<<endl<<k;
}